<?php
if (isset($resp['bNadgodziny']['bNadgodzina'][0])) {
	$items = $resp['bNadgodziny']['bNadgodzina'];
} else {
	$items = !empty($resp['bNadgodziny']['bNadgodzina']) ? [$resp['bNadgodziny']['bNadgodzina']] : [];
}
$encode = base64_encode(json_encode($items));
?>
<div class="modal-header">
	<button style="margin: 0 5px 0 5px" type="button" class="btn btn-default" data-dismiss="modal">Anuluj</button>
</div>
<div class="modal-body" style="min-height: 360px">
	<table class="table table-hover">
		<tr>
			<th>
				Rodzaj
			</th>
			<th>
				Data
			</th>
			<th>
				Wnioskujący
			</th>
		</tr>
	<?php foreach ($items as $item): ?>
		<tr class="nadgodziny_realizacja" style="cursor: pointer;" data-gid="<?=$item['bGid']?>">
			<td>
				<?=$item['bRodzajZapisu']?>
			</td>
			<td>
				<?=date("Y-m-d", strtotime($item['bDzien']))?>
			</td>
			<td>
				<?=$item['bAdresWnioskujacego']['cNazwa']?>
			</td>
		</tr>
	<?php endforeach; ?>
	</table>
</div>
<script>
	$('.nadgodziny_realizacja').on('click', function () {
		var val = $(this).data('gid');
		$.post( local_url + "ajax/nadgodziny/daj_realizacje/" + val, {items: '<?=$encode?>', type: '<?=$type?>', tab:'<?=$tab?>'}, function( data ) {
			var modal = $('#modal-nadgodziny'),
					body  = modal.find('.modal-content');
			if (body.length > 0) {
				body.empty();
				body.html(data);
			}
		});
	})
</script>
